Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 599741 - fv_ tests fail when libvirt is installed, but libvirtd is not started
fv_ tests fail when libvirt is installed, but libvirtd is not started
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
chen yuwen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 16:06 EDT by Greg Nichols
Modified: 2010-09-21 08:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The libvirtd service is now properly started when required.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 08:14:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fvtest.py patch adding libvirtd startup code (912 bytes, patch)
2010-06-10 22:14 EDT, Greg Nichols
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0702 normal SHIPPED_LIVE v7 bug fix and enhancement update 2010-10-21 03:59:09 EDT

  None (edit)
Description Greg Nichols 2010-06-03 16:06:56 EDT
Description of problem:

fv_ tests fail when libvirt is installed, but libvirtd is not started:

Running ./fv_core.py:
error: unable to connect to '/var/run/libvirt/libvirt-sock', libvirtd may need to be started: Connection refused
error: failed to connect to the hypervisor

This happens when libvirt is installed via "v7 plan" and resulting prompts that use yum to install libvirt.

A work-around is to reboot or start libvird manually.


Version-Release number of selected component (if applicable):

v7 1.1 R3
Comment 1 Greg Nichols 2010-06-10 22:14:12 EDT
Created attachment 423111 [details]
fvtest.py patch adding libvirtd startup code
Comment 4 chen yuwen 2010-09-08 04:40:25 EDT
This bug is reproduced in v7-1.2-3 and verified in v7-1.2-23.
Comment 6 errata-xmlrpc 2010-09-20 08:14:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0702.html
Comment 7 Jaromir Hradilek 2010-09-21 08:56:22 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The libvirtd service is now properly started when required.

Note You need to log in before you can comment on or make changes to this bug.